Module | Spec::Expectations::ObjectExpectations
In: | lib/spec/expectations/extensions/object.rb

rspec adds should and should_not to every Object (and, implicitly, every Class).

### Methods

should should_not

### Public Instance methods

should(matcher)
should == expected
should === expected
should =~ expected

      receiver.should(matcher)
        => Passes if matcher.matches?(receiver)

      receiver.should == expected #any value
        => Passes if (receiver == expected)

      receiver.should === expected #any value
        => Passes if (receiver === expected)

      receiver.should =~ regexp
        => Passes if (receiver =~ regexp)

See Spec::Matchers for more information about matchers

## Warning

NOTE that this does NOT support receiver.should != expected. Instead, use receiver.should_not == expected

[Source]

        # File lib/spec/expectations/extensions/object.rb, line 30
    30:       def should(matcher=:use_operator_matcher, &block)
    31:         ExpectationMatcherHandler.handle_matcher(self, matcher, &block)
    32:       end

should_not(matcher)
should_not == expected
should_not === expected
should_not =~ expected

      receiver.should_not(matcher)
        => Passes unless matcher.matches?(receiver)

      receiver.should_not == expected
        => Passes unless (receiver == expected)

      receiver.should_not === expected
        => Passes unless (receiver === expected)

      receiver.should_not =~ regexp
        => Passes unless (receiver =~ regexp)

See Spec::Matchers for more information about matchers

[Source]

        # File lib/spec/expectations/extensions/object.rb, line 53
    53:       def should_not(matcher=:use_operator_matcher, &block)
    54:         NegativeExpectationMatcherHandler.handle_matcher(self, matcher, &block)
    55:       end

[Validate]